Package org.kapott.hbci.manager

## Class TanMethod

- java.lang.Object
- - org.kapott.hbci.manager.TanMethod

    public class TanMethod
    extends java.lang.Object

Kapselt die Informationen zu einem TAN-Verfahren.

### Field Summary

Fields
`static TanMethod` `ONESTEP` Das Einschritt-Verfahren.

### Constructor Summary

Constructors
`TanMethod​(java.lang.String id, java.lang.String name)` ct.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getId()` Liefert die dreistellige numerische ID.
`java.lang.String` `getName()` Liefert die sprechende Bezeichnung.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ONESTEP

    public static final TanMethod ONESTEP

Das Einschritt-Verfahren.

### Constructor Detail

#### TanMethod

    public TanMethod​(java.lang.String id,
                     java.lang.String name)

ct.

Parameters:
  `id` - ID des TAN-Verfahrens.
  `name` - Name des TAN-Verfahrens.

### Method Detail

#### getId

    public java.lang.String getId()

Liefert die dreistellige numerische ID.

Returns:
  id die dreistellige numerische ID.

#### getName

    public java.lang.String getName()

Liefert die sprechende Bezeichnung.

Returns:
  name die sprechende Bezeichnung.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`
See Also:
  `Object.toString()`